Bug 110885 - System does not power down correctly with SMP kernel.
System does not power down correctly with SMP kernel.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-11-25 03:04 EST by Bernd Bartmann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 15:44:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2003-11-25 03:04:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)

Description of problem:
After changing from a 2.53 GHz PIV CPU w/o HT to a 3.0 GHz PIV CPU w/
HT  and the SMP kernel my system won't power down anymore correctly. 
I can hear the at least the HDD spins down after the "Power down."
kernel message the rest of the system is still running.

Mainboard is a Gigabyte 8KNXP.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. use a SMP kernel and a PIV HT CPU
2. shutdown the system
3. --> system does not power off

Additional info:
Comment 1 Tacitus 2003-12-03 01:12:04 EST
I have the same problem: it gets all the way to the end of shutdown
and then doesn't actually turn off the power.  I'm using a P4 2.4CGHz
with HT turned on.  Motherboard is an Intel D875PBZ.  I'm running
plain FC1 with vmlinuz-2.4.22-1.2115.nptlsmp.
Comment 2 Bernd Bartmann 2003-12-03 16:24:35 EST
After adding "apm=power-off" to the kernel line in
/boot/grub/grub.conf the system powers down correctly.

The new errata kernel 2.4.22-1.2129.nptlsmp behaves exactly in the
same way. The system will not power down without "apm=power-off". I
thought this had been fixed after reading the changelog for the new
Comment 3 David Lawrence 2004-09-29 15:44:13 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.